<!doctype html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" href="%sveltekit.assets%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    %sveltekit.head%
  </head>

  <body data-sveltekit-preload-data="hover">
    <script src="%sveltekit.assets%/wasm_exec.js"></script>
    <script>
      const go = new Go();
      // console.log('wasm go object:', go);

      WebAssembly.instantiateStreaming(fetch('%sveltekit.assets%/main.wasm'), go.importObject)
        .then((result) => {
          // console.log('wasm instantiateStreaming result:', result);

          go.run(result.instance);
        })
        .catch((error) => {
          console.log('error:', error);
        });
    </script>
    <div style="display: contents">%sveltekit.body%</div>
  </body>
</html>
